Salix Xfce 15.0alpha2

User avatar
gapan
Salix Wizard
Posts: 5851
Joined: 6. Jun 2009, 17:40

Re: Salix Xfce 15.0alpha2

Post by gapan » 7. May 2022, 10:49

ibka wrote:
7. May 2022, 07:06
Hi
I installed zotero and when asked if i want to install the LibreOffice add-on i got an error see the image.
Libreoffice is built without java support, so I gueexpected..is expected. At the very least we would need an openjdk package in the repos first and then I'll have to try to build it with java support.
Image
Image

User avatar
gapan
Salix Wizard
Posts: 5851
Joined: 6. Jun 2009, 17:40

Re: Salix Xfce 15.0alpha2

Post by gapan » 7. May 2022, 15:35

djemos wrote:
2. May 2022, 08:50
Copy the lines bellow and save them in a file 49-nopasswd_global.rules
Copy 49-nopasswd_global.rules file to /etc/polkit-1/rules.d/ or to /usr/share/polkit-1/rules.d/

Code: Select all

/* Allow members of the wheel group to execute any actions
 * without password authentication, similar to "sudo NOPASSWD:"
 */
polkit.addRule(function(action, subject) {
    if (subject.isInGroup("wheel")) {
        return polkit.Result.YES;
    }
});

/* Allow members of the polkitd group to execute any actions
 * without password authentication, similar to "sudo NOPASSWD:"
 */
polkit.addRule(function(action, subject) {
    if (subject.isInGroup("polkitd")) {
        return polkit.Result.YES;
    }
});
This has been checked on Salix64-alpha2.

mimosa wrote:
2. May 2022, 14:27
Thanks djemos, yes, it works. Is this secure though? What else does it allow me to do apart from opening unmounted partitions in Thunar?

Obviously it's handy to be able to do that, but I imagine there must be some reason the default behaviour is as it is.

What would make sense would be if Thunar requested a password to open them, rather than just refusing. But I can certainly live with the status quo - I just wasn't sure that was how it was meant to be.
Finally, I have a proper solution for this now.

In fact, I don't think what djemos suggests is secure. It allows anyone in the wheel group to run anything with root privileges using pkexec, without using any kind of authentication.

The whole problem started because the PAM settings that lightdm installed were incomplete and prevented any polkit agent from running, so even if polkit-gnome was installed, it didn't actually do anything. I have now updated the lightdm packages and also added a new package

So, follow the next steps:
1. Install the new salix-polkit-settings package
2. Upgrade to the new lightdm-1.30.0 (3gv) package.
3. Run dotnew and accept all new lightdm settings files
4. (optional and irrelevant to this issue) Install the qogir-icon-theme package, because it's the default in the updated lightdm-gtk-settings package
5. Reboot or log out/log in.

and this should give you a working pkexec, and you should get a prompt for your password if you are in the wheel group whenever you're trying to run anything with elevated privileges through polkit.
Image
Image

User avatar
ibka
Posts: 135
Joined: 12. Sep 2010, 13:14
Location: Sweden
Contact:

Re: Salix Xfce 15.0alpha2

Post by ibka » 7. May 2022, 16:28

Finally, I have a proper solution for this now.

In fact, I don't think what djemos suggests is secure. It allows anyone in the wheel group to run anything with root privileges using pkexec, without using any kind of authentication.

The whole problem started because the PAM settings that lightdm installed were incomplete and prevented any polkit agent from running, so even if polkit-gnome was installed, it didn't actually do anything. I have now updated the lightdm packages and also added a new package
I tested it with catfish "Refresh search index.." and that works
Image

User avatar
Papasot
Donor
Posts: 138
Joined: 3. May 2015, 18:37
Location: Patras, Greece

Re: Salix Xfce 15.0alpha2

Post by Papasot » 7. May 2022, 20:10

djemos wrote:
6. May 2022, 21:54
lua, freealut, alure, FreeImage
Lua version in this build works but it is 10 years old. Latest version is 5.4.4 from 13 Jan 2022, and the SLKBUILD must be very different than the old one because the structure of the library has been changed. I rewrote the SLKBUILD for the latest version (and it works) but we should probably still keep the old one for compatibility reasons and name the new one differently?
alure won't build because the SLKBUILD refers to a url that does not exist anymore. The correct one is here.
FreeImage is ok, but I modified the SLKBUILD a bit so that it will only need one change should a new version is released.

I do remember people could contribute other packages during the beta testing of 14.2. Will we have the same opportunity this time? If so, I have some pending.
A pleasant detail in this forum: several people pick a picture of their pet as their avatar. Who am I to do otherwise? ;-)

FreeArcher
Posts: 9
Joined: 8. Mar 2021, 07:37

Re: Salix Xfce 15.0alpha2

Post by FreeArcher » 11. May 2022, 12:30

Hi! I installed salix with a base packages list. It does not contain NetworkManager. I think it should be in base installation, too.

User avatar
Papasot
Donor
Posts: 138
Joined: 3. May 2015, 18:37
Location: Patras, Greece

Re: Salix Xfce 15.0alpha2

Post by Papasot » 11. May 2022, 15:20

FreeArcher wrote:
11. May 2022, 12:30
Hi! I installed salix with a base packages list. It does not contain NetworkManager. I think it should be in base installation, too.
I agree. Installing Salix on a laptop would require Ethernet connection otherwise, just to install NetworkManager (or another application for that purpose). Given laptops are quite common nowadays, I believe basic installation should include the default network manager, in this case... NetworkManager - although I personally dislike it and would install connman instead.
However, NetworkManager would be useless on desktop computers which are usually permanently cable-connected. But better uninstalling NetworkManager on a system that will never need it than looking for a cable to install it on a laptop that desperately needs it right away.
A pleasant detail in this forum: several people pick a picture of their pet as their avatar. Who am I to do otherwise? ;-)

User avatar
EricC
Posts: 77
Joined: 24. Sep 2009, 02:11
Location: Under an overpass in a shipping crate

Re: Salix Xfce 15.0alpha2

Post by EricC » 11. May 2022, 23:01

Papasot wrote:
11. May 2022, 15:20
FreeArcher wrote:
11. May 2022, 12:30
Hi! I installed salix with a base packages list. It does not contain NetworkManager. I think it should be in base installation, too.
I agree. Installing Salix on a laptop would require Ethernet connection otherwise, just to install NetworkManager (or another application for that purpose). Given laptops are quite common nowadays, I believe basic installation should include the default network manager, in this case... NetworkManager - although I personally dislike it and would install connman instead.
However, NetworkManager would be useless on desktop computers which are usually permanently cable-connected. But better uninstalling NetworkManager on a system that will never need it than looking for a cable to install it on a laptop that desperately needs it right away.
I agree.
Image

User avatar
mimosa
Salix Warrior
Posts: 3215
Joined: 25. May 2010, 17:02
Contact:

Re: Salix Xfce 15.0alpha2

Post by mimosa » 12. May 2022, 21:14

It would be nice to have Wicd too, assuming it does not take up too much space?

NM covers more bases, but in most setups, Wicd works better.

FreeArcher
Posts: 9
Joined: 8. Mar 2021, 07:37

Re: Salix Xfce 15.0alpha2

Post by FreeArcher » 13. May 2022, 10:07

I found out the package cmake is not installed. It seems to me all the build-packages muss be installed.

djemos
Salix Warrior
Posts: 1193
Joined: 29. Dec 2009, 13:45
Location: Greece

Re: Salix Xfce 15.0alpha2

Post by djemos » 13. May 2022, 14:46

mimosa wrote:
12. May 2022, 21:14
It would be nice to have Wicd too, assuming it does not take up too much space?

NM covers more bases, but in most setups, Wicd works better.
For me, wicd is not working anymore. It is unmaintained for years.
So i use networkmanager. If you do not like networkmanager, a good alternative is connman, http://www.slackel.gr/repo/source/extra/connman-gtk/, http://www.slackel.gr/repo/source/extra/connman/1.38/, http://www.slackel.gr/repo/source/extra/cmst/

Post Reply